import { r as registerInstance, h, c as getAssetPath, H as Host, e as getElement } from './index-c04b9ed5.js';

const sparkleGwwCommentListCss = ":host{display:block}.avatar{width:30px;height:30px}";

const SparkleGwwCommentList = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  dismiss(data) {
    // dismiss the closest modal and optionally pass back data
    this.el.closest('ion-modal').dismiss({
      'dismissed': true
    });
  }
  render() {
    return (h(Host, null, h("ion-toolbar", { color: "primary" }, h("ion-buttons", { slot: "start" }, h("ion-back-button", { defaultHref: "great-white-wall", onClick: () => this.dismiss() })), h("ion-title", null, "Comments")), h("ion-content", null, this.comments.map((comment) => h("ion-item", null, h("ion-avatar", { class: "avatar", slot: "start" }, h("img", { src: getAssetPath("/assets/img/user.png") })), h("ion-label", null, h("h2", null, comment.Name), h("p", null, comment.Comment)))))));
  }
  get el() { return getElement(this); }
};
SparkleGwwCommentList.style = sparkleGwwCommentListCss;

export { SparkleGwwCommentList as sparkle_gww_comment_list };
